/**
 *
 */
package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

/**
 * @描述：
 * @作者：songx
 * @创建时间：2017年1月3日,下午3:01:03
 * @版本：1.0
 */
public class BookType extends BaseEntity {

    /**
     *
     */
    private static final long serialVersionUID = 8550165727000816380L;

    /**
     * 书籍类型标识
     */
    private Long bookTypeId;

    /**
     * 类型编码
     */
    private String typeCode;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 创建人
     */
    private Long createdUser;

    public Long getBookTypeId() {
        return bookTypeId;
    }

    public void setBookTypeId(Long bookTypeId) {
        this.bookTypeId = bookTypeId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Long getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(Long createdUser) {
        this.createdUser = createdUser;
    }

    @Override
    public String toString() {
        return "BookType [bookTypeId=" + bookTypeId + ", typeCode=" + typeCode + ", typeName=" + typeName
                + ", createdUser=" + createdUser + "]";
    }

}
